# $Revision: 1.6 $, $Date: 2008/07/27 23:05:38 $
Summary:	Decoder implementation of the JBIG2 image compression format
Summary(pl.UTF-8):	Implementacja dekodera formatu kompresji obrazu JBIG2
Name:		jbig2dec
Version:	0.9
Release:	2
License:	GPL with clause allowing linking to AFPL Ghostscript
Group:		Applications
Source0:	http://dl.sourceforge.net/jbig2dec/%{name}-%{version}.tar.gz
# Source0-md5:	e4bff86825ccde304c19bd7ec122fda4
Patch0:		%{name}-shared.patch
URL:		http://jbig2dec.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.7
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
jbig2dec is a decoder implementation of the JBIG2 image compression
format. JBIG2 is designed for lossy or lossless encoding of 'bilevel'
(1-bit monochrome) images at moderately high resolution, and in
particular scanned paper documents. In this domain it is very
efficient, offering compression ratios on the order of 100:1.

This is a decoder only implementation, and currently is in the alpha
stage, meaning it doesn't completely work yet. However, we are
maintaining parity with available encoders, so it is useful for real
work.

The specificication has been published as ISO IEC 14492 and ITU T.88.
These documents completely describe the format and they'll be required
if you want to understand the code and contribute. We prefer the ISO
version, but haven't discovered significant differences between the
two.

JBIG2 also includes the CCITT T.4 and T.6 (group 3 and group 4) fax
encodings, which are documented separately. Their specifications and
T.88 can be obtained from the ITU. The ISO version of JBIG2 can be
obtained through the ISO website.

%description -l pl.UTF-8
jbig2dec to implementacja dekodera formatu kompresji obrazu JBIG2.
JBIG2 został zaprojektowany dla stratnego i bezstratnego kodowania
dwupoziomowych (monochromatycznych, 1-bitowych) obrazów o dość dużej
rozdzielczości, w szczególności skanowanych dokumentów papierowych. W
tej dziedzinie jest bardzo wydajny, oferując współczynniki kompresji
rzędu 100:1.

Jest to implementacja wyłącznie dekodera, aktualnie w stanie alpha, co
oznacza, że jeszcze nie do końca działa. Jednak autorzy utrzymują ją w
parze z dostępnymi koderami, więc jest użyteczna w praktycznych
zastosowaniach.

Specyfikacja została opublikowana jako ISO IEC 14492 oraz ITU T.88. Te
dokumenty całkowicie opisują format i są wymagane do zrozumienia oraz
rozwijania kodu. Autorzy jbig2dec preferują wersję ISO, ale nie
odkryli znaczących różnic między nimi.

JBIG2 obejmuje także kodowania faksowe CCITT T.4 i T.6 (grupa 3 i
grupa 4), które są udokumentowane oddzielnie. Ich specyfikacje oraz
T.88 można zdobyć z ITU. Wersję ISO JBIG2 można zdobyć ze strony WWW
ISO.

%package devel
Summary:	Development files for jbig2dec library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki jbig2dec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for jbig2dec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki jbig2dec.

%package static
Summary:	Static version of jbig2dec library
Summary(pl.UTF-8):	Statyczna wersja biblioteki jbig2dec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of jbig2dec library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki jbig2dec.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%attr(755,root,root) %{_bindir}/jbig2dec
%attr(755,root,root) %{_libdir}/libjbig2dec.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjbig2dec.so
%{_libdir}/libjbig2dec.la
%{_includedir}/jbig2.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libjbig2dec.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jbig2dec.spec,v $
Revision 1.6  2008/07/27 23:05:38  arekm
- release 2

Revision 1.5  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.3  2006/08/26 22:30:24  qboosh
- updated to 0.9, added shared patch

Revision 1.2  2005/07/21 18:29:58  qboosh
- pl, some cleanups

Revision 1.1  2005/07/19 20:06:01  djurban
- NFY, needs patching Makefile.a to generate a shared library i have no time to do this now
  ghostscript will inkt to its internal jbig2dec until someone completes this
